Package com.google.android.exoplayer2

## Interface Bundleable

- All Known Implementing Classes:
    `AbstractConcatenatedTimeline`, `AdPlaybackState`, `AdPlaybackState.AdGroup`, `AudioAttributes`, `DeviceInfo`, `ExoPlaybackException`, `FakeMediaSource.InitialTimeline`, `FakeTimeline`, `ForwardingTimeline`, `HeartRating`, `MaskingMediaSource.PlaceholderTimeline`, `MediaItem`, `MediaItem.ClippingProperties`, `MediaItem.LiveConfiguration`, `MediaMetadata`, `NoUidTimeline`, `PercentageRating`, `PlaybackParameters`, `Player.PositionInfo`, `Rating`, `SinglePeriodAdTimeline`, `SinglePeriodTimeline`, `StarRating`, `ThumbRating`, `Timeline`, `Timeline.Period`, `Timeline.Window`, `VideoSize`

      public interface Bundleable

  Interface for classes whose instance can be stored in a `Bundle` by `toBundle()` and can be restored from the `Bundle` by using the static `CREATOR` field that implements `Bundleable.Creator`.

  For example, a `Bundleable` class `Foo` supports the following:

       Foo foo = ...;
       Bundle fooBundle = foo.toBundle();
       Foo restoredFoo = Foo.CREATOR.fromBundle(fooBundle);
       assertThat(restoredFoo).isEqualTo(foo);

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `Bundleable.Creator<T extends Bundleable>` | Interface for the static `CREATOR` field of `Bundleable` classes.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Bundle` | `toBundle()` | Returns a `Bundle` representing the information stored in this object.

- - ### Method Detail

    - #### toBundle

          Bundle toBundle()

      Returns a `Bundle` representing the information stored in this object.